package org.kaveh.commons.farsi.constatns;

/**
 * Definition file for Arabic script constants
 * 
 * @author Kaveh Ranjbar
 * 
 */
public class ArabicLetterConstants {

	public static class Vowels {

		public static class ShortVowels {

			public final static String SHORT_A = "\u064E";
			public final static String SHORT_E = "\u0650";
			public final static String SHORT_O = "\u064F";

		}

		public static class LongVowels {

			public final static String LONG_A = "\u0627";
			public final static String LONG_A_START = "\u0622";

			public final static String LONG_O = "\u0648";
			public final static String LONG_O_START = "\u0627\u0648";

			public final static String LONG_E = "\u064F";
			public final static String LONG_E_START = "\u0627\u06CC";
		}
	}

	public static class Digits {
		public final static String ZERO = "\u0660";
		public final static String ONE = "\u0661";
		public final static String TWO = "\u0662";
		public final static String THREE = "\u0663";
		public final static String FOUR = "\u0664";
		public final static String FIVE = "\u0665";
		public final static String SIX = "\u0666";
		public final static String SEVEN = "\u0667";
		public final static String EIGHT = "\u0668";
		public final static String NINE = "\u0669";
	}

	public static class Consonants {

		public final static String ALEF = "\u0627";
		public final static String BEH = "\u0628";
		public final static String TEH = "\u062A";
		public final static String THEH = "\u062B";
		public final static String JEEM = "\u062C";
		public final static String HAH = "\u062D";
		public final static String KHAH = "\u062E";
		public final static String DAL = "\u062F";
		public final static String THAL = "\u0630";
		public final static String REE = "\u0631";
		public final static String ZAIN = "\u0632";
		public final static String SEEN = "\u0633";
		public final static String SHEEN = "\u0634";
		public final static String SAD = "\u0635";
		public final static String ZAD = "\u0636";
		public final static String TAH = "\u0637";
		public final static String ZAH = "\u0638";
		public final static String AIN = "\u0639";
		public final static String GHAIN = "\u063A";
		public final static String FEH = "\u0641";
		public final static String QAF = "\u0642";
		public final static String KAF = "\u0643";
		public final static String LAM = "\u0644";
		public final static String MEEM = "\u0645";
		public final static String NOON = "\u0646";
		public final static String WAW = "\u0648";
		public final static String HEH = "\u0647";
		public static String YEH = "\u064A";

	}
	
	public static class Punctuations{
		public final static String COMMA = "\u060C";
		public final static String SEMICOLON = "\u061B";	
	}
}
