package org.kaveh.commons.farsi.constatns;

/**
 * Definition file for Farsi script constants
 * 
 * @author Kaveh Ranjbar
 * 
 */
public class FarsiLetterConstants extends ArabicLetterConstants {

	public static class Vowels extends ArabicLetterConstants.Vowels {

		public static class ShortVowels extends
				ArabicLetterConstants.Vowels.ShortVowels {
		}

		public static class LongVowels extends
				ArabicLetterConstants.Vowels.LongVowels {
		}

	}

	public static class Digits extends ArabicLetterConstants.Digits {

		// Farsi form of numbers
		public final static String ZERO = "\u06F0";
		public final static String ONE = "\u06F1";
		public final static String TWO = "\u06F2";
		public final static String THREE = "\u06F3";
		public final static String FOUR = "\u06F4";
		public final static String FIVE = "\u06F5";
		public final static String SIX = "\u06F6";
		public final static String SEVEN = "\u06F7";
		public final static String EIGHT = "\u06F8";
		public final static String NINE = "\u06F9";

	}

	public static class Consonants extends ArabicLetterConstants.Consonants {

		// Additional letters
		public final static String PEH = "\u067E";
		public final static String TCHEH = "\u0686";
		public final static String JEH = "\u0698";
		public final static String GAF = "\u06AF";

		// Overrides Arabic form
		public final static String KAF = "\u06A9";
		public final static String YEH = "\u06CC";

	}

	public static class Punctuations{
		public final static String COMMA = "\u060C";
		public final static String SEMICOLON = "\u061B";
		
	}
}
